curl --request GET \
--url https://api.paygentic.io/v0/externalReferences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paygentic.io/v0/externalReferences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paygentic.io/v0/externalReferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"object": "externalReference",
"merchantId": "<string>",
"entityType": "item",
"entityId": "<string>",
"provider": "<string>",
"externalId": "<string>",
"metadata": {},
"isPrimary": true,
"isDefault": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"externalLabel": "<string>"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}{
"message": "The requested resource was not found",
"error": "not_found"
}List
Authorizations
API key authentication
Query Parameters
Restrict results to a specific merchant. All active filters AND together.
^org_[a-zA-Z0-9]+$Filter by the Paygentic entity type the reference points at (e.g. item). All active filters AND together.
The type of Paygentic entity this external reference points at
item, customer Filter by the Paygentic entity id (e.g. itm_xxx). This is the inverse of the GET /v0/items?provider=&externalId= resolution endpoint — look up references from the Paygentic side. All active filters AND together.
Filter by provider (e.g. salesforce, netsuite). All active filters AND together.
Lowercase snake_case provider identifier (e.g. salesforce, netsuite)
64^[a-z][a-z0-9_]*$Filter by the external system's record id. Pair with provider to look up all Paygentic entities that carry a given external reference. All active filters AND together.
Identifier of the record in the external system
255^[a-zA-Z0-9_-]+$1 <= x <= 100x >= 0Was this page helpful?